/*****************************************************************************
 * $Id: mod.hh,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	For abstraction, these meta header files are aliases that
 *          can be included without knowing which specific module
 *          will be compiled or whether the actual header file resides
 *          in the base or derived module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef MOD_HH
#define MOD_HH 1

#include "mod_defs.hh"		// defines MODULE etc

#include "mod_base.hh"

// Include appropriate module header files.
#if MODULE == MODULE_PONY
#	include "mod_pony.hh"
#else
#	error
#endif

#endif // MOD_HH
