/*****************************************************************************
 * $Id: mod_pony_weather.hh,v 1.2 2006/11/25 23:38:52 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Weather model class.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if COMPILING_MODULE
#ifndef MOD_PONY_WEATHER_HH
#define MOD_PONY_WEATHER_HH 1

////////////////////////////////////////////////////////////////////////////////
/// @brief Weather model class.
/// Includes time-of-day (which affects weather).
///
class Weather
{
PREVENT_COPYING(Weather)
public:
	enum eTime
	{
		eTime_DAY,
		eTime_NIGHT,
		eTime_SUNRISE,
		eTime_SUNSET,
	};

public:
			Weather( void ) : mTime(eTime_DAY) { }
			~Weather() { }
	void	SetTime( eTime time );
	eTime	GetTime( void ) const { return mTime; }
	void	CycleTime( void );
	bool	IfSunsetOrSunrise( void ) const { return mTime == eTime_SUNRISE || mTime == eTime_SUNSET; }

private:
	eTime	mTime;
};

#endif // MOD_PONY_WEATHER_HH
#endif // COMPILING_MODULE
